using System;

namespace Syntriax.Engine.Core.Exceptions;

public class HierarchyObjectNotFoundException(string? message) : Exception(message)
{
    public static NotAssignedException FromType<THierarchyObject>()
        => new($"{typeof(THierarchyObject).FullName} was not found");
}
